Skip to main content
POST
/
v3
/
async
/
kling-v3.0-pro-i2v
Kling v3.0 Pro Image-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v3.0-pro-i2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "image": "<string>",
  "sound": true,
  "prompt": "<string>",
  "duration": 123,
  "cfg_scale": 123,
  "end_image": "<string>",
  "multi_prompt": [
    "<string>"
  ],
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v3.0-pro-i2v"

payload = {
"image": "<string>",
"sound": True,
"prompt": "<string>",
"duration": 123,
"cfg_scale": 123,
"end_image": "<string>",
"multi_prompt": ["<string>"],
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
image: '<string>',
sound: true,
prompt: '<string>',
duration: 123,
cfg_scale: 123,
end_image: '<string>',
multi_prompt: ['<string>'],
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-v3.0-pro-i2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling v3.0 Pro Image-to-Video transforms static images into dynamic videos with natural motion and smoother scene dynamics while maintaining subject consistency. Supports flexible duration from 3 to 15 seconds, audio-video co-generation, end frame control, and multi-shot video generation.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

image
string
required
First frame image for video; supports .jpg, .jpeg, .png. Image file size must not exceed 10MB; width and height must be >= 300px; aspect ratio must be between 1:2.5 and 2.5:1.
sound
boolean
default:false
Whether to generate audio simultaneously when generating video.
prompt
string
required
Positive prompt text for video generation describing scene motion, camera moves, actions, voice style, ambience, and sound effects; must not exceed 2500 characters.
duration
integer
default:5
Duration of generated video in seconds. Supports flexible duration from 3 to 15 seconds.Value range: [3, 15]
cfg_scale
number
Controls the flexibility of video generation. Higher values result in generated content more closely following the prompt; lower values produce more natural motion.Value range: [0, 1]
end_image
string
URL of the ending frame image for guided transitions. Not compatible with multi_prompt. Supports .jpg, .jpeg, .png.
multi_prompt
string[]
List of prompts for multi-shot video generation. Divides video into multiple shots. Mutually exclusive with prompt.
negative_prompt
string
Negative prompt specifying elements to avoid in visuals and audio; must not exceed 2500 characters.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026